<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter/DeclarationFormatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Fragments.html" >Fragments</a>.<a href="../DeclarationFormatter.html" >DeclarationFormatter</a>
</div><div class="class-name">class DeclarationFormatter

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html" target="detail">../Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line15" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="DeclarationFormatter-inheritance" src="DeclarationFormatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#DeclarationFormatter-inheritance_map" />
<map name="DeclarationFormatter-inheritance_map"><area alt="Scopes/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter/DeclarationDetailFormatter.html" href="DeclarationDetailFormatter.html" shape="rect" coords="5, 81, 525, 105" />
<area alt="Scopes/Synopsis/Parsers/C/C/Parser.html" href="../../../../Parsers/C/C/Parser.html" shape="rect" coords="549, 81, 725, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter/DeclarationSummaryFormatter.html" href="DeclarationSummaryFormatter.html" shape="rect" coords="749, 81, 1293, 105" />
<area alt="Scopes/Synopsis/Formatters/Dot/Formatter.html" href="../../../Dot/Formatter.html" shape="rect" coords="1317, 81, 1536, 105" />
</map>
 <div class="doc">Base class for SummaryFormatter and DetailFormatter.
    
    The two classes SummaryFormatter and DetailFormatter are actually
    very similar in operation&#44; and so most of their methods are defined here.
    Both of them print out the definition of the declarations&#44; including type&#44;
    parameters&#44; etc. Some things such as exception specifications are only
    printed out in the detailed version.
    </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">formatter</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line25" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_parameters" >format_parameters</a></span>(<span class="variable">self</span>, <span class="variable">parameters</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_parameters" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line39" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns formatted string for the given parameter list.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_declaration" >format_declaration</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_declaration" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">The default is to return no type and just the declarations name for
        the name.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_macro">format_macro</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_macro" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line50" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_forward">format_forward</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_forward" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line58" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_group">format_group</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_group" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line78" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_scope" >format_scope</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_scope" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line82" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Scopes have their own views&#44; so return a reference to it.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_module">format_module</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line90" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_meta_module">format_meta_module</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_meta_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line94" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_class">format_class</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_class" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line98" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_class_template">format_class_template</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_class_template" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line105" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_typedef" >format_typedef</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_typedef" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line120" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_enumerator" >format_enumerator</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_enumerator" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line129" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_enum" >format_enum</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_enum" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line134" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_variable">format_variable</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_variable" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line144" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_const" >format_const</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_const" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line153" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_function" >format_function</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_function" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line163" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_function_template" >format_function_template</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_function_template" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line193" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_operation">format_operation</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_operation" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line228" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_operation_template">format_operation_template</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_operation_template" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line233" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationFormatter.html#format_parameter" >format_parameter</a></span>(<span class="variable">self</span>, <span class="variable">parameter</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_parameter" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line238" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_parameters">format_parameters</a>(<span class="variable">self</span>, <span class="variable">parameters</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_parameters" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line39" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns formatted string for the given parameter list.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_declaration">format_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_declaration" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">The default is to return no type and just the declarations name for
        the name.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_scope">format_scope</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_scope" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line82" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Scopes have their own views&#44; so return a reference to it.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_typedef">format_typedef</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_typedef" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line120" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;typedef type&#44; typedef name&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_enumerator">format_enumerator</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_enumerator" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line129" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">This is only called by formatEnum</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_enum">format_enum</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_enum" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line134" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;enum name&#44; list of enumerator names&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_const">format_const</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_const" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line153" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;const type&#44; const name = const value&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_function">format_function</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_function" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line163" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;return type&#44; func + params + exceptions&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_function_template">format_function_template</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_function_template" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line193" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;return type&#44; func + params + exceptions&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_parameter">format_parameter</a>(<span class="variable">self</span>, <span class="variable">parameter</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationFormatter.format_parameter" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line238" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns one string for the given parameter</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:09 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
